Subject: bug#15801: 24.3.50; bar scrolling freezes gtk emacs

From: Jarek Czekalski <[email-masked]>
Date: Thu, 21 Nov 2013 08:25:15 +0100

W dniu 2013-11-21 07:00, Jan Djärv pisze:
> It seems like Emacs stops receiving SIGIO.  If it is blocked or if Gtk+ stole the signal handler I don't know yet.

Sounds interesting, waiting for more info. I will be glad to learn more 
about signals. This is what I read on 
http://unixhelp.ed.ac.uk/CGI/man-cgi?signal+7, maybe it will be relevant:

        If more than one of the
        threads has the signal unblocked, then the kernel chooses an 
arbitrary
        thread to which to deliver the signal.

There are several threads in action (some belonging to gtk), so this 
tells me Emacs cannot be sure to receive any kernel signal. Gtk uses the 
term signal for a different thing, it makes googling difficult.

Jarek